Skip to main content
POST
Create connection

Authorizations

Authorization
string
header
required

Enter your JWT token

Body

application/json

The connection creation payload, including the connection name and application slug.

Request body for creating a connection.

applicationSlug
string
required

Slug of the application to connect to.

connectionName
string
required

Display name for the new connection.

authenticationId
integer<int32>
required

Identifier of the authentication method to use.

fields
object
required

Connection field values, keyed by field name.

description
string | null

Optional description of the connection.

metadata
object | null

Optional additional connection metadata, keyed by name.

Response

The newly created connection.

Public-shape detail for /api/DeveloperAPI/v1/Connections/{id} and create/update responses.

connectionId
integer<int32>
required

Identifier of the connection.

connectionName
string
required

Display name of the connection.

applicationSlug
string
required

Slug of the connection's application.

isPublic
boolean
required

Whether the connection is shared/public.

createdBy
string<uuid>
required

Identifier of the user who created the connection.

createdDate
string<date-time>
required

When the connection was created.

description
string | null

Description of the connection.

applicationName
string | null

Display name of the connection's application.

applicationLogo
string | null

URL of the application's logo image.

updatedBy
string<uuid> | null

Identifier of the user who last updated the connection; null if never updated.

updatedDate
string<date-time> | null

When the connection was last updated; null if never updated.

authenticationId
integer<int32>

Identifier of the authentication method used by the connection.

authenticationType
string

Name of the authentication type used by the connection.

fields
object

Connection field values, keyed by field name (sensitive values may be masked).

useSelectDBObjects
boolean

Whether the connection uses selected database objects.

connectionError
string | null

Last connection error message, if any.

isAlive
boolean

Whether the connection is currently healthy/reachable.

metadata
object | null

Additional connection metadata, keyed by name.